Subject: bug#22234: 25.0.50; EWW doesn't display some links in GNU manuals

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Dec 2015 19:03:22 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 25 Dec 2015 17:52:10 +0100
> 
> > My crystal ball of a former Texinfo hacker says that the offending
> > link goes through a short HTML page that just redirects to another
> > page, and EWW somehow gets confused by that.  But that's just a guess.
> 
> Yes, the page the link points to just contains this:
> 
> <meta http-equiv="refresh" content="0; url=Remote-Configuration.html#set%20remote%20exec%2dfile">
> 
> eww doesn't support "refresh" metas, but I guess it could for just the
> "0" timeout (i.e., redirect) case...

All GNU manuals use this technique, so I think we should indeed try to
support that.

> I mean, it could for other timeouts, too, but I rather think that that
> is probably not something we want.  Having Emacs stop randomly and
> re-retrieve the page.

Isn't that also for those "redirecting in NNN seconds" pages?